| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
GaudiKernel.GaudiHandles.GaudiHandle Class Reference
Inheritance diagram for GaudiKernel.GaudiHandles.GaudiHandle:
[legend]
Collaboration diagram for GaudiKernel.GaudiHandles.GaudiHandle:
[legend]

## Public Member Functions
def | __init__ (self, typeAndName)
def | __repr__ (self)
def | __str__ (self)
def | toStringProperty (self)
def | getType (self)
def | getName (self)
def | getGaudiHandle (self)
def | getFullName (self)

## Public Attributes
| typeAndName

## Static Public Attributes
string | componentType = "Unspecified"
bool | isPublic = True

## Detailed Description

Definition at line 15 of file GaudiHandles.py.

## Constructor & Destructor Documentation

def GaudiKernel.GaudiHandles.GaudiHandle.__init__ | ( |  | self,
|  |  | typeAndName
| ) |  |

Definition at line 19 of file GaudiHandles.py.

19 def __init__(self,typeAndName):
20 object.__init__(self)
21 if hasattr(typeAndName,"toStringProperty"):
22 # this is a GaudiHandle or equivalent
23 typeAndName = typeAndName.toStringProperty()
24 if type(typeAndName) != str:
25 raise TypeError("Argument to %s must be a string. Got a %s instead" % \
26 ( self.__class__.__name__, type(typeAndName).__name__) )
27 self.typeAndName = typeAndName
28
gaudirun.type
type
Definition: gaudirun.py:125
GaudiKernel.GaudiHandles.GaudiHandle.typeAndName
typeAndName
Definition: GaudiHandles.py:27
GaudiKernel.GaudiHandles.GaudiHandle.__init__
def __init__(self, typeAndName)
Definition: GaudiHandles.py:19

## Member Function Documentation

def GaudiKernel.GaudiHandles.GaudiHandle.__repr__ | ( |  | self | ) |

Definition at line 29 of file GaudiHandles.py.

29 def __repr__(self):
30 return "%s(%r)" % (self.__class__.__name__,self.toStringProperty())
31
GaudiKernel.GaudiHandles.GaudiHandle.__repr__
def __repr__(self)
Definition: GaudiHandles.py:29
GaudiKernel.GaudiHandles.GaudiHandle.toStringProperty
def toStringProperty(self)
Definition: GaudiHandles.py:40

def GaudiKernel.GaudiHandles.GaudiHandle.__str__ | ( |  | self | ) |

Definition at line 32 of file GaudiHandles.py.

32 def __str__(self):
33 # FIXME: (Patch #1668) this creates problem with 2.5
34 # return "%s:%s" % (self.__class__.__name__, self.toStringProperty())
35 return self.toStringProperty()
36
GaudiKernel.GaudiHandles.GaudiHandle.toStringProperty
def toStringProperty(self)
Definition: GaudiHandles.py:40
GaudiKernel.GaudiHandles.GaudiHandle.__str__
def __str__(self)
Definition: GaudiHandles.py:32

def GaudiKernel.GaudiHandles.GaudiHandle.getFullName | ( |  | self | ) |

Definition at line 68 of file GaudiHandles.py.

68 def getFullName(self):
69 return self.toStringProperty()
70
GaudiKernel.GaudiHandles.GaudiHandle.toStringProperty
def toStringProperty(self)
Definition: GaudiHandles.py:40
GaudiKernel.GaudiHandles.GaudiHandle.getFullName
def getFullName(self)
Definition: GaudiHandles.py:68

def GaudiKernel.GaudiHandles.GaudiHandle.getGaudiHandle | ( |  | self | ) |

Definition at line 65 of file GaudiHandles.py.

65 def getGaudiHandle(self):
66 return self
67
GaudiKernel.GaudiHandles.GaudiHandle.getGaudiHandle
def getGaudiHandle(self)
Definition: GaudiHandles.py:65

def GaudiKernel.GaudiHandles.GaudiHandle.getName | ( |  | self | ) |

    Get the 'name' part of the \"type/name\" string.
    If only a type is given, this will be returned as the name.
    If the \"type/name\" string is empty, it will return an emtpy string.

Definition at line 53 of file GaudiHandles.py.

53 def getName(self):
54 """Get the 'name' part of the \"type/name\" string.
55 If only a type is given, this will be returned as the name.
56 If the \"type/name\" string is empty, it will return an emtpy string."""
57 slash = self.typeAndName.find('/')
58 if slash != -1:
59 # explicit name. Return part after the /
60 return self.typeAndName[slash+1:]
61 else:
62 # only type is given. return type as default name
63 return self.typeAndName
64
GaudiKernel.GaudiHandles.GaudiHandle.typeAndName
typeAndName
Definition: GaudiHandles.py:27
GaudiKernel.GaudiHandles.GaudiHandle.getName
def getName(self)
Definition: GaudiHandles.py:53

def GaudiKernel.GaudiHandles.GaudiHandle.getType | ( |  | self | ) |

    Get the 'type' part of the \"type/name\" string.

Definition at line 43 of file GaudiHandles.py.

43 def getType(self):
44 """Get the 'type' part of the \"type/name\" string."""
45 slash = self.typeAndName.find('/')
46 if slash != -1:
47 # includes name. Return part before /
48 return self.typeAndName[0:slash]
49 else:
50 # only type is given, return full string
51 return self.typeAndName
52
GaudiKernel.GaudiHandles.GaudiHandle.getType
def getType(self)
Definition: GaudiHandles.py:43
GaudiKernel.GaudiHandles.GaudiHandle.typeAndName
typeAndName
Definition: GaudiHandles.py:27

def GaudiKernel.GaudiHandles.GaudiHandle.toStringProperty | ( |  | self | ) |

Definition at line 40 of file GaudiHandles.py.

40 def toStringProperty(self):
41 return self.typeAndName
42
GaudiKernel.GaudiHandles.GaudiHandle.toStringProperty
def toStringProperty(self)
Definition: GaudiHandles.py:40
GaudiKernel.GaudiHandles.GaudiHandle.typeAndName
typeAndName
Definition: GaudiHandles.py:27

## Member Data Documentation

string GaudiKernel.GaudiHandles.GaudiHandle.componentType = "Unspecified"
| static

Definition at line 16 of file GaudiHandles.py.

bool GaudiKernel.GaudiHandles.GaudiHandle.isPublic = True
| static

Definition at line 17 of file GaudiHandles.py.

GaudiKernel.GaudiHandles.GaudiHandle.typeAndName

Definition at line 27 of file GaudiHandles.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/GaudiHandles.py